# wireguard-terraform-digitalocean

Example of creating a wireguard VPN on DO using Terraform.

## Setup
First create an `ssh key` to use with this example:
```shell
ssh-keygen -t rsa -C "WireguardVPN" -f ./tf-digitalocean -q -N ""
```

Next export your DigitalOcean Access token:
```shell
export DIGITALOCEAN_ACCESS_TOKEN=dop_v1_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
```

Finally run the Terraform
```shell
terraform init
terraform apply -auto-approve
```